=== debian/control ===
Source: ros-kinetic-octomap-pa
Section: misc
Priority: extra
Maintainer: Peter Weissig <wepet@hrz.tu-chemnitz.de>
Build-Depends: debhelper (>= 9.0.0), libpcl-dev, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-laser-geometry, ros-kinetic-message-generation, ros-kinetic-nav-msgs, ros-kinetic-octomap-msgs, ros-kinetic-octomap-ros, ros-kinetic-parameter-pa, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-octomap-pa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl1.7, ros-kinetic-geometry-msgs, ros-kinetic-laser-geometry, ros-kinetic-message-runtime, ros-kinetic-nav-msgs, ros-kinetic-octomap-msgs, ros-kinetic-octomap-ros, ros-kinetic-parameter-pa, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf
Description: ProAut octomap package
